const { deferConfig } = require('config/defer')

module.exports = {
  'pubsweet-server': {
    baseUrl: deferConfig(
      cfg => `http://localhost:${cfg['pubsweet-server'].port}`,
    ),
    secret: 'secret-string',
  },
  dbManager: {
    username: 'admin',
    password: 'password',
    email: 'admin@example.com',
    admin: true,
  },
  ftp_directory: 'ftpdata',
  ftp_tagger: 'taggers',
  ncbiPdfTransformerApi: {
    url: 'https://api.ncbi.nlm.nih.gov/lit/jats2pdf/api',
    freq: 120000,
  },
  users: [],
}
