const fs = require('fs')

const temp_dir = '/tmp'
const getTempPath = filename => `${temp_dir}/${filename}`

const removeFile = filename => {
  const fullpath = getTempPath(filename)
  fs.unlink(fullpath, err => {
    if (err) {
      console.warn(`Error deleting file ${filename}: `, err)
    }
  })
}

module.exports = {
  getTempPath,
  removeFile,
}
