import { obtainEventDescription } from './events'

export const lastAudit = manuscript => {
  const { audits } = manuscript

  if (!audits || audits.length <= 0) {
    return ''
  }
  const audit = audits[audits.length - 1]

  return obtainEventDescription(audit, manuscript)
}
