const logger = require('@pubsweet/logger')
const rfr = require('rfr')

const FileManager = rfr('server/xpub-model/entities/file')

async function deleteFile(_, { id }, { user }) {
  const deletedFile = await FileManager.deleteById(id, user)
  logger.info('deletedFile: ', deletedFile)
  return true
}

module.exports = deleteFile
